PDA

View Full Version : Error running Sencha Architect 2.1 in Kubuntu 12.04



mohdshakir
2 Sep 2012, 6:29 PM
Hi,

I'm on Kubuntu 12.04, and got the following error when trying to run Sencha Architect 2.1;

38418


Loading libion: /home/shakir/.local/share/data/Sencha, Inc./Sencha Architect 2.0/libion-1.4.0.so
Cannot mix incompatible Qt library (version 0x40801) with this library (version 0x40800)
Aborted (core dumped)

I'm using 64 bit edition for both the OS and Architect.

mohdshakir
2 Sep 2012, 9:19 PM
Just to add, the 32bit version works well on the 64bit Kubuntu.

Andrew Forest
2 Oct 2012, 10:31 PM
The same error for 32 bit Kubuntu 12.04 and Sencha Architect 2.1.
Have ideas?

webappdev
29 Nov 2012, 4:45 PM
The same error for 32 bit Kubuntu 12.04 and Sencha Architect 2.1.
Have ideas?

I have the same problem as well. So much for the productivity gains. Reported in September and still no acknowledgement by now; guess it's time to start distancing from Sencha altogether.

mohdshakir
29 Nov 2012, 4:50 PM
It's bad that Sencha is yet to reply on this here, but I am now running the 32 bit version on my 64 bit Kubuntu just fine.

webappdev
29 Nov 2012, 5:26 PM
It's bad that Sencha is yet to reply on this here, but I am now running the 32 bit version on my 64 bit Kubuntu just fine.

Switching back to Unity/Gnome fixed the problem, running on a 32-bit platform.

Maybe we are the only 3 users who use Kubuntu :/

mohdshakir
29 Nov 2012, 5:44 PM
Maybe we are the only 3 users who use Kubuntu :/

Ouch! :D

Anyway, does it not run on 32 bit Kubuntu as well? I've not tried that, so I don't know.

As I was saying, I'm running my Architect 32 bit on my 64 bit Kubuntu just fine. What I did was to install the 32 bit libraries (ia32-libs) first.

aconran
4 Dec 2012, 11:07 AM
It's bad that Sencha is yet to reply on this here, but I am now running the 32 bit version on my 64 bit Kubuntu just fine.

This was posted in the wrong forum. (Hence why it was missed.) Sencha Architect 2.2 has additional support in this department. Could those of you having problems please post what distro you are using and the architecture?

Could you also please let us know if there is anything output to the console when running it?

jarrednicholls
10 Dec 2012, 7:58 AM
This is an issue that will be short lived since Architect 2.2 will not have Qt as a dependency. To ensure the problem no longer occurs and to widen our sights on Linux compatibility, we'd love to know everyone's distro + version of Linux and Desktop/Window manager they use and we can validate compatibility.

Thanks.